# novaclient.v2.instance_action module

class novaclient.v2.instance_action.InstanceAction(manager, info, loaded=False, resp=None)

  Bases: `Resource`

  Populate and bind to a manager.

  Parameters:

    - manager – BaseManager object

    - info – dictionary representing resource attributes

    - loaded – prevent lazy-loading if set to True

    - resp – Response or list of Response objects

class novaclient.v2.instance_action.InstanceActionManager(api)

  Bases: `ManagerWithFind`

  get(server, request_id)

    Get details of an action performed on an instance.

    Parameters:

      request_id – The request_id of the action to get.

  list(server, marker=None, limit=None, changes_since=None, changes_before=None)

    Get a list of actions performed on a server.

    Parameters:

      - server – The `Server` (or its ID)

      - marker – Begin returning actions that appear later in the action list than that represented by this action request id (optional).

      - limit – Maximum number of actions to return. (optional).

      - changes_since – List only instance actions changed later or equal to a certain point of time. The provided time should be an ISO 8061 formatted time. e.g. 2016-03-04T06:27:59Z . (optional).

      - changes_before – List only instance actions changed earlier or equal to a certain point of time. The provided time should be an ISO 8061 formatted time. e.g. 2016-03-05T06:27:59Z . (optional).

  resource_class

    alias of `InstanceAction`

this page last updated: 2026-07-15 14:18:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug